package com.blueland.bpm.manage.countAnalysis.dao;

/**
 * @author dsl
 * @version 1.0
 * @since  首页统计dao
 */
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.blueland.bpm.common.base.BaseIbatis3Dao;
import com.blueland.bpm.identity.model.Userrole;



@Repository
public class IndexDao extends BaseIbatis3Dao<Userrole,String>{
	public int getAppCount() {
		return (Integer)getSqlSessionTemplate().selectOne("getAppCount");
	}
	public int getProcDefKeyCount() {
		return (Integer)getSqlSessionTemplate().selectOne("getProcDefKeyCount");
	}
	public Map<String, Object> getProcessRunCount() {
		return getSqlSessionTemplate().selectOne("getProcessRunCount");
	}
	public Map<String, Object> getProcessLogCount() {
		return getSqlSessionTemplate().selectOne("getProcessLogCount");
	}
	public Map<String, Object> getProcessByTime(Map<String, Object> params) {
		return getSqlSessionTemplate().selectOne("getProcessByTime",params);
	}
	public List<Map<String, Object>> getAppTop() {
		return getSqlSessionTemplate().selectList("getAppTop");
	}
	public List<Map<String, Object>> getSysLoadData() {
		return getSqlSessionTemplate().selectList("getSysLoadData");
	}
	
	
}
